Skip to main content
POST
/
virtual-accounts
/
{virtualAccountId}
/
simulate
Simulate inbound transfer on a Virtual Account
curl --request POST \
  --url https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId}/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "amount": {
    "currency": "<string>",
    "value": "<string>"
  },
  "rail": "ach_in",
  "addenda": [
    "<string>"
  ]
}
'
import requests

url = "https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId}/simulate"

payload = {
    "amount": {
        "currency": "<string>",
        "value": "<string>"
    },
    "rail": "ach_in",
    "addenda": ["<string>"]
}
headers = {
    "Idempotency-Key": "<idempotency-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': '<idempotency-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    amount: {currency: '<string>', value: '<string>'},
    rail: 'ach_in',
    addenda: ['<string>']
  })
};

fetch('https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId}/simulate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "amount": {
    "currency": "<string>",
    "value": "<string>"
  },
  "rail": "ach_in",
  "status": "submitted",
  "submittedAt": "2023-11-07T05:31:56Z",
  "virtualAccountId": "<string>"
}

Authorizations

Authorization
string
header
required

Token from POST /auth/token

Headers

Idempotency-Key
string
required

Required on POST and PUT requests. Use a unique value per logical mutation attempt, for example a UUID.

Path Parameters

virtualAccountId
string
required

Body

application/json

ACH IN simulation against a Virtual Account.

amount
object
required

Amount in USD minor units (cents).

rail
enum<string>
required
Available options:
ach_in
addenda
string[]

Optional ACH addenda records (max 4 entries, each ≤ 80 chars).

Response

200 - application/json

The request has succeeded.

Rail-discriminated response for POST /virtual-accounts/{id}/simulate.

amount
object
required

Amount in USD minor units (cents).

rail
enum<string>
required
Available options:
ach_in
status
enum<string>
required
Available options:
submitted
submittedAt
string<date-time>
required
virtualAccountId
string
required